package com.gh.common.provider

import android.content.Context
import com.therouter.router.Route
import com.gh.common.util.DataCollectionUtils
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.feature.provider.IDataCollectionProvider

@com.therouter.inject.ServiceProvider
class DataCollectionProviderImpl : IDataCollectionProvider {
    override fun uploadClick(context: Context, vararg args: String) {
        DataCollectionUtils.uploadClick(context, *args)
    }

    override fun uploadConcern(context: Context, vararg args: String) {
        DataCollectionUtils.uploadConcern(context, *args)
    }
}